Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authorization
Class DeployableAuthorizerImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.authorization.AuthorizerImpl
                  weblogic.management.security.authorization.DeployableAuthorizerImpl

    public class DeployableAuthorizerImpl

extends AuthorizerImpl

An Authorization provider that supports deploying policies on behalf of Web application and EJB deployment.

Constructor Summary
`` | `DeployableAuthorizerImpl(ModelMBean base)` Constructor for the DeployableAuthorizerImpl object
`protected` | `DeployableAuthorizerImpl(RequiredModelMBean base)`

Method Summary

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployableAuthorizerImpl

    public DeployableAuthorizerImpl(ModelMBean base)
                             throws MBeanException

  Constructor for the DeployableAuthorizerImpl object

  Parameters:
    `base` - Description of the Parameter
  Throws:
    `MBeanException` - Description of the Exception

### DeployableAuthorizerImpl

    protected DeployableAuthorizerImpl(RequiredModelMBean base)
                                throws MBeanException

Throws:
  `MBeanException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD